Get Currencies

Retrieves all currencies.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API provides information about supported currencies used in CoinGate’s merchant integrations for payment processing. It helps you determine:

  • In which currencies shoppers can pay (merchant_pay)
  • In which currencies you, as a merchant, can receive settlements (merchant_receive)
  • In which currencies you can set product or service prices (merchant_price)

Other Related Endpoints

If you are looking for supported currencies in other services, refer to the following endpoints:

Common Usage Examples

Currencies in which shoppers can pay:

curl https://api.coingate.com/api/v2/currencies?merchant_pay=true
curl https://api.coingate.com/v2/currencies?merchant_pay=true&enabled=true

Currencies in which merchants can receive settlements:

curl https://api.coingate.com/v2/currencies?merchant_receive=true

Notes

  • The disabled field in the response indicates that the currency is temporarily unavailable for use as a payment currency. You may optionally display the disabled_message (in English) to inform users why the currency is disabled.
  • The native field indicates whether the currency is natively supported by CoinGate. If native: false, it means the currency is processed via a third-party service.
    Currently, all shopper pay currencies are natively supported (native: true).
Query Params
boolean
boolean
boolean
boolean
string

Accepted values: crypto, fiat

string

Search by currency symbol, for example: BTC

Response

Language
LoadingLoading…
Response
Choose an example:
application/json